Name: cockpit-session-recording
Version: 11
Release: 1%{?dist}
Summary: Cockpit Session Recording
License: LGPLv2+
URL:     https://github.com/Scribery/%{name}
Source:  https://github.com/Scribery/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildArch: noarch
BuildRequires: libappstream-glib
BuildRequires: make
Requires: cockpit-system
Requires: tlog

%description
Cockpit module providing session recording configuration and playback.
This module allows viewing and playback of journal-stored terminal session
recordings generated by the tlog component.

%prep
%setup -qn cockpit-session-recording

%install
%make_install
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/*

%files
%{_datadir}/cockpit/session-recording
%{_datadir}/metainfo/org.cockpit-project.session-recording.metainfo.xml

%changelog
* Wed Nov 17 2021 Justin Stephenson <jstephen@redhat.com> - 11-1
- Avoid crash in unmount if journal is null
- Sync Makefile closer to starter-kit
- Use current babel/eslint integration
- Use Flex layout for spacing the two config cards in the config page
- Use Page/PageSection/Breadcrumb patternfly components
- Move to xz dist tarballs
- Remove unused slider.html file
- package.json: explicitely depend on @patternfly/react-icons
- webpack: Use relative resolve path for npm 7 compatibility
- package.json: update patternfly packages
- package.json: use sass instead of node-sass
- Fetch pkg/lib automatically from cockpit instead of keeping a local copy
- Update Docker image and TEST_OS run to Fedora 35
- Tests: Test SSSD exclude_users and exclude_groups
- Config: Add SSSD exclude_users and exclude_groups
- TESTS: Fix testSessionRecordingConf cleanup issue
- TESTS: Restart SSSD after restoring config

* Mon Aug 09 2021 Mohan Boddu <mboddu@redhat.com> - 9-3
- Rebuilt for IMA sigs, glibc 2.34, aarch64 flags
  Related: rhbz#1991688

* Wed Jul 21 2021 Justin Stephenson <jstephen@redhat.com> - 9-1
- Release v9
- Tests: Fix RHEL9 filter test timing failures

* Wed Jul 14 2021 Justin Stephenson <jstephen@redhat.com> - 8-1
- Release v8
- Throttle journalctl restarts
- Minor CI fixes

* Wed May 19 2021 Justin Stephenson <jstephen@redhat.com> - 7-5
- Include testZoomSpeedControls test fix

* Thu Apr 15 2021 Mohan Boddu <mboddu@redhat.com> - 7-3
- Rebuilt for RHEL 9 BETA on Apr 15th 2021. Related: rhbz#1947937

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jan 13 2021 Justin Stephenson <jstephen@redhat.com> - 7-1
- Release v7
- Remove bots sudo rm from Makefile
- Use journalctl --utc for Logs view to handle DST
- Add Applications Menu test
- Install cockpit-packagekit in local VM
- Set timezone for Logs Correlation test

* Mon Oct 12 2020 Justin Stephenson <jstephen@redhat.com> - 6-1
- Release v6
- Bump testlib to 229
- Add binary recording test

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed May 20 2020 Justin Stephenson <jstephen@redhat.com> - 4-1
- Release v4
- Update parent id in metainfo file
- Update package manifest
- Fix rpmmacro to resolve correc    t path on CentOS7
- Handle byte-array encoded journal data
- Don't clobber cockpit bots directory
- Move code out of deprecated React lifecycle functions

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Nov 25 2019 Justin Stephenson <jstephen@redhat.com> - 3-1
- Release v3
- Reset Logs View on Player Rewind
- Configuration page UI CSS Improvements

* Wed Sep 11 2019 Justin Stephenson <jstephen@redhat.com> - 2-1
- Release 2
- Optimize performance when playing back flooded output recordings.
- Make Logs View optional rendered with a toggle button.
- Make Logs component a child of Recording component.
- Fix Recording page column sorting in Google Chrome.
- CSS updates for Patternfly 4 compatibility.
- Replace term.js with maintained xterm.js library.
- Fix hostname and username filtering.

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Apr 4 2019 Kirill Glebov <kgliebov@redhat.com> - 1-1
- Release 1
- First release. Includes logs correlation, player controls, journal remote support.
